#!/bin/sh


if [ -z `which exiftool` ]; then
   echo "FEHLER: Das Programm exiftool ist nicht installiert!"
   exit 1
fi

if [ -z `which qpdf` ]; then
   echo "FEHLER: Das Programm qpdf ist nicht installiert!"
   exit 1
fi


if [ -z "$1" ]; then
   echo "Usage: `basename $0` <Datei-1.pdf> [ <Datei-2.pdf> <Datei-3-pdf> ...]"
   exit 1
fi

until  [ -z "$1" ]; do

   if [ ! -f "$1" ]; then
      echo "FEHLER PDF Datei $1 wurde nicht gefunden!"
      shift
      continue
   fi

   FILETYPE=`mimetype -b "$1"`
   if [ $FILETYPE != "application/pdf" ]; then
      echo "FEHLER: Datei $1 ist keine PDF Datei!"
      shift
      continue
   fi

   if [ ! -w "$1" ]; then
      echo "FEHLER Die PDF Datei $1 kann nicht modifiziert werden!"
      shift
      continue
   fi

   exiftool -all:all= -P -overwrite_original_in_place "${1}" > /dev/null >> /dev/null
   TFILE=`mktemp`
   cp "${1}" "$TFILE"
   qpdf --linearize "$TFILE" "${1}" > /dev/null
   rm $TFILE
   echo "OK: Metadaten von Datei "${1}" entfernt."
   shift
   
done

exit
